import 'package:flutter/material.dart';

import '../constants.dart';

class DefaultCard extends StatelessWidget {
  final Color? backgroundColor;
  final Widget child;
  final Color? shadowColor;
  final double? elevation;
  final bool useBorder;
  const DefaultCard({Key? key, this.backgroundColor, required this.child, this.shadowColor, this.elevation, this.useBorder = false}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: useBorder ? 0 : elevation ?? defaultElevation,
      color: backgroundColor,
      semanticContainer: true,
      clipBehavior: Clip.antiAliasWithSaveLayer,
      shadowColor: shadowColor,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(defaultCornerRadius),
        side: useBorder ? const BorderSide(
          color: borderColor,
          width: 0.8,
        ) : BorderSide.none,
      ),
      margin: const EdgeInsets.all(10),
      child: child,
    );
  }
}
